MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::NCAccResult< T > Class Template Reference

This associates a result non-class datum with an accuracy. More...

`#include <comptmpl.h>`

Inheritance diagram for sc::NCAccResult< T >:

List of all members.

## Public Member Functions

| NCAccResult (Compute *c)
| NCAccResult (const NCAccResult< T > &r, Compute *c)
| operator T & ()
T & | result ()
T & | result_noupdate ()
const T & | result_noupdate () const
void | operator= (const T &a)
void | operator= (const NCAccResult< T > &r)
void | restore_state (StateIn &s)
void | save_data_state (StateOut &s)
| NCAccResult (StateIn &s, Compute *c)

## Detailed Description

### template<class T>
class sc::NCAccResult< T >

This associates a result non-class datum with an accuracy.

The documentation for this class was generated from the following file:

- comptmpl.h